List current user subscriptions to developer agents
curl --request GET \
--url https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"items": [
{
"id": "<string>",
"developerId": "<string>",
"name": "<string>",
"pricingModel": "subscription",
"betaStatus": "<string>",
"riskLevel": "low",
"performanceStats": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subscription": {
"subscribedAt": "2023-11-07T05:31:56Z",
"claimableFeesUsd": 123,
"totalFeesEarnedUsd": 123,
"totalFeesClaimedUsd": 123
},
"description": "<string>",
"strategyDescription": "<string>",
"avatarUrl": "<string>",
"imageUrl": "<string>",
"tags": [
"<string>"
],
"monthlyPrice": 123,
"successFeePercent": 123,
"betaStartDate": "2023-11-07T05:31:56Z",
"maxBetaUsers": 123,
"stats": {
"totalProfitUsd": 123,
"roi": 123,
"winRate": 123,
"totalTrades": 123,
"performanceScore": 123
},
"pnl": {
"totalProfitUsd": 123,
"roi": 123,
"avgProfitPerTrade": 123,
"maxDrawdown": 123
},
"tradeStats": {
"totalTrades": 123,
"wins": 123,
"losses": 123,
"winRate": 123,
"category": "<string>"
},
"risk": {
"level": "low",
"botCount": 123
},
"followers": 123,
"subscriberCount": 123,
"isSubscribed": true,
"activeBotCount": 123,
"totalBotCount": 123,
"featured": true,
"featuredRank": 123,
"latestReview": {
"id": "<string>",
"status": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"safetyScore": 123
},
"membershipGated": true,
"externalSignupUrl": "<string>"
}
],
"pagination": {
"total": 123,
"limit": 123,
"page": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Developer Agents (Marketplace)
List current user subscriptions to developer agents
Authenticated. Returns a paginated list of developer agents the current user is subscribed to.
GET
/
api
/
v1
/
developer-agents
/
my-subscriptions
List current user subscriptions to developer agents
curl --request GET \
--url https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/developer-agents/my-subscriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"items": [
{
"id": "<string>",
"developerId": "<string>",
"name": "<string>",
"pricingModel": "subscription",
"betaStatus": "<string>",
"riskLevel": "low",
"performanceStats": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subscription": {
"subscribedAt": "2023-11-07T05:31:56Z",
"claimableFeesUsd": 123,
"totalFeesEarnedUsd": 123,
"totalFeesClaimedUsd": 123
},
"description": "<string>",
"strategyDescription": "<string>",
"avatarUrl": "<string>",
"imageUrl": "<string>",
"tags": [
"<string>"
],
"monthlyPrice": 123,
"successFeePercent": 123,
"betaStartDate": "2023-11-07T05:31:56Z",
"maxBetaUsers": 123,
"stats": {
"totalProfitUsd": 123,
"roi": 123,
"winRate": 123,
"totalTrades": 123,
"performanceScore": 123
},
"pnl": {
"totalProfitUsd": 123,
"roi": 123,
"avgProfitPerTrade": 123,
"maxDrawdown": 123
},
"tradeStats": {
"totalTrades": 123,
"wins": 123,
"losses": 123,
"winRate": 123,
"category": "<string>"
},
"risk": {
"level": "low",
"botCount": 123
},
"followers": 123,
"subscriberCount": 123,
"isSubscribed": true,
"activeBotCount": 123,
"totalBotCount": 123,
"featured": true,
"featuredRank": 123,
"latestReview": {
"id": "<string>",
"status": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"safetyScore": 123
},
"membershipGated": true,
"externalSignupUrl": "<string>"
}
],
"pagination": {
"total": 123,
"limit": 123,
"page": 123,
"totalPages": 123,
"hasNextPage": true,
"hasPreviousPage": true
}
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
User JWT access token issued by POST /api/auth/verify or POST /api/auth/social/verify. Routes that accept both auth modes declare api-key and bearer-jwt security schemes.
Headers
HMAC-SHA256 signature: HMAC-SHA256(secretKey, timestamp + METHOD + path + body). Required for API-key authenticated requests (JWT/OAuth session auth is exempt).
Request timestamp in epoch milliseconds. Required with x-signature for API-key auth. Rejected if drift exceeds 5 minutes.
⌘I